| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
WriterListener Class Reference
eProsima Fast DDS API Reference » RTPS » Writer Module

Class WriterListener with virtual method so the user can implement callbacks to certain events. More...

`#include <WriterListener.hpp>`

## Public Member Functions

| WriterListener ()=default
virtual | ~WriterListener ()=default
virtual void | on_writer_matched (RTPSWriter *writer, const MatchingInfo &info)
| This method is called when a new Reader is matched with this Writer by the builtin protocols.
virtual void | on_offered_incompatible_qos (RTPSWriter *writer, eprosima::fastdds::dds::PolicyMask qos)
| This method is called when a new Reader is discovered, with a Topic that matches that of a local writer, but with a requested QoS that is incompatible with the one offered by the local writer.
virtual void | on_writer_change_received_by_all (RTPSWriter *writer, CacheChange_t *change)
| This method is called when all the readers matched with this Writer acknowledge that a cache change has been received.
virtual void | on_liveliness_lost (RTPSWriter *writer, const LivelinessLostStatus &status)
| Method called when the liveliness of a writer is lost.
virtual void | on_reader_discovery (RTPSWriter *writer, ReaderDiscoveryStatus reason, const GUID_t &reader_guid, const SubscriptionBuiltinTopicData *reader_info)
| Method called when the discovery information of a reader regarding a writer changes.
virtual void | on_incompatible_type (RTPSWriter *writer)
| This method is called when a new Reader is discovered, with a Topic that matches the name of a local writer, but with an incompatible type.

## Detailed Description

Class WriterListener with virtual method so the user can implement callbacks to certain events.

## Constructor & Destructor Documentation

## ◆ WriterListener()

WriterListener | ( |  | ) |

default

## ◆ ~WriterListener()

virtual ~WriterListener | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ on_incompatible_type()

virtual void on_incompatible_type | ( | RTPSWriter * | writer | ) |

inline virtual

This method is called when a new Reader is discovered, with a Topic that matches the name of a local writer, but with an incompatible type.

Parameters

  writer | Pointer to the RTPSWriter.

## ◆ on_liveliness_lost()

virtual void on_liveliness_lost | ( | RTPSWriter * | writer,
|  | const LivelinessLostStatus & | status )

inline virtual

Method called when the liveliness of a writer is lost.

Parameters

  writer | The writer
  status | The liveliness lost status

## ◆ on_offered_incompatible_qos()

virtual void on_offered_incompatible_qos | ( | RTPSWriter * | writer,
|  | eprosima::fastdds::dds::PolicyMask | qos )

inline virtual

This method is called when a new Reader is discovered, with a Topic that matches that of a local writer, but with a requested QoS that is incompatible with the one offered by the local writer.

Parameters

  writer | Pointer to the RTPSWriter.
  qos | A mask with the bits of all incompatible Qos activated.

## ◆ on_reader_discovery()

virtual void on_reader_discovery | ( | RTPSWriter * | writer,
|  | ReaderDiscoveryStatus | reason,
|  | const GUID_t & | reader_guid,
|  | const SubscriptionBuiltinTopicData * | reader_info )

inline virtual

Method called when the discovery information of a reader regarding a writer changes.

Parameters

  writer | The writer.
  reason | The reason motivating this method to be called.
  reader_guid | The GUID of the reader for which the discovery information changed.
  reader_info | Discovery information about the reader. Will be `nullptr` for reason `REMOVED_READER`.

## ◆ on_writer_change_received_by_all()

virtual void on_writer_change_received_by_all | ( | RTPSWriter * | writer,
|  | CacheChange_t * | change )

inline virtual

This method is called when all the readers matched with this Writer acknowledge that a cache change has been received.

Parameters

  writer | Pointer to the RTPSWriter.
  change | Pointer to the affected CacheChange_t.

## ◆ on_writer_matched()

virtual void on_writer_matched | ( | RTPSWriter * | writer,
|  | const MatchingInfo & | info )

inline virtual

This method is called when a new Reader is matched with this Writer by the builtin protocols.

Parameters

  writer | Pointer to the RTPSWriter.
  info | Matching Information.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/writer/WriterListener.hpp